# Delete bucket

```http
DELETE /v1/tenants/{tenantId}/buckets/{bucketName}
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `DeleteBucket`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `delete:s3:buckets`

Delete bucket for the given tenant

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID
- `bucketName` (string, required) — Bucket name

## Responses

### 204 — No Content

### 404 — Not found

Content type: `application/json`

- `message` (string)

### 409 — Can't delete a bucket with objects/versions present

Content type: `application/json`

- `message` (string)
